CUDA Driver API (PDF) - v10.1.168 (older) - Last updated April 24, 2019 - Send Feedback

## 6.21. CUeglFrame Struct Reference

## [Data types used by CUDA driver]

CUDA EGLFrame structure Descriptor - structure defining one frame of EGL.

Each frame may contain one or more planes depending on whether the surface * is Multiplanar or not.

### Public Variables

CUarray_format cuFormat
unsigned int depth
CUeglColorFormat eglColorFormat
CUeglFrameType frameType
unsigned int height
unsigned int numChannels
CUarray pArray[MAX_PLANES]
void [MAX_PLANES] * pPitch
unsigned int pitch
unsigned int planeCount
unsigned int width

### Variables

CUarray_format CUeglFrame::cuFormat [inherited]

  CUDA Array Format

unsigned int CUeglFrame::depth [inherited]

  Depth of first plane

CUeglColorFormat CUeglFrame::eglColorFormat [inherited]

  CUDA EGL Color Format

CUeglFrameType CUeglFrame::frameType [inherited]

  Array or Pitch

unsigned int CUeglFrame::height [inherited]

  Height of first plane

unsigned int CUeglFrame::numChannels [inherited]

  Number of channels for the plane

CUarray CUeglFrame::pArray[MAX_PLANES] [inherited]

  Array of CUarray corresponding to each plane

void [MAX_PLANES] * CUeglFrame::pPitch [inherited]

  Array of Pointers corresponding to each plane

unsigned int CUeglFrame::pitch [inherited]

  Pitch of first plane

unsigned int CUeglFrame::planeCount [inherited]

  Number of planes

unsigned int CUeglFrame::width [inherited]

  Width of first plane